Summary:         HDF4 data handler for the Hyrax OPeNDAP Data server
Name:            dap-hdf4_handler
Version:         3.9.1
Release:         4%{?dist}
License:         LGPLv2+
Group:           System Environment/Daemons 
Source0:         http://www.opendap.org/pub/source/hdf4_handler-%{version}.tar.gz
URL:             http://www.opendap.org/

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   libdap-devel >= 3.11.0
BuildRequires:   bes-devel >= 3.9.0
BuildRequires:   hdf-static, hdf-devel


%description
This is the hdf4 data handler for our data server. It reads HDF4 and HDF-EOS
files and returns DAP responses that are compatible with DAP2 and the
dap-server software.


%prep 
%setup -q -n hdf4_handler-%{version}


%build
%configure --disable-dependency-tracking --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"

rm $RPM_BUILD_ROOT%{_libdir}/bes/libhdf4_module.la


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/bes/modules/h4.conf
%{_libdir}/bes/libhdf4_module.so
%{_datadir}/hyrax/data/hdf4
%doc COPYING COPYRIGHT_URI NEWS README


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-3
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 8 2011 Orion Poplawski <orion@cora.nwra.com> - 3.9.1-1
- Update to 3.9.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Orion Poplawski <orion@cora.nwra.com> - 3.8.1-1
- Update to 3.8.1

* Tue Dec  8 2009 Michael Schwendt <mschwendt@fedoraproject.org> - 3.7.14-3
- Explicitly BR hdf-static in accordance with the Packaging
  Guidelines (hdf-devel is still static-only).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Orion Poplawski <orion@cora.nwra.com> - 3.7.14-1
- Update to 3.7.14
- Drop gcc43 patch, fixed upstream

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Patrice Dumas <pertusus@free.fr> 3.7.9-1
- update to 3.7.9
- remove now unneeded open patch

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.7.7-4
- Autorebuild for GCC 4.3

* Mon Dec 17 2007 Patrice Dumas <pertusus@free.fr> 3.7.7-3
- update to 3.7.7

* Fri Jun  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.5-3
- rebuild against newer libdap

* Tue May  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.5-2
- update to 3.7.5

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.2-4
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.2-3
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus at free.fr> 3.7.2-2
- update to 3.7.2

* Wed Sep  6 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-3
- rebuild for FC-6

* Sat Jul 22 2006 Patrice Dumas <pertusus at free.fr> 3.7.1-2
- update to 3.7.1
- remove upstreamed patch

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-3
- BuildRequires libdap-devel above 3.6.0

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-2
- add patch for gcc 4.1

* Fri Mar  3 2006 Patrice Dumas <pertusus at free.fr> - 3.6.0-1
- Update to 3.6.0

* Thu Sep 21 2005 James Gallagher <jgallagher@opendap.org> 3.5.0-1
- initial release
